#!/usr/bin/sh

# [$B%W%m%0%i%`L>(B]
# slopePlot.sh

# [$BL\E*(B]
# Edge Connection format V.5 $B%G!<%?%U%!%$%k$K5-O?$5$l$F$$$k<PLLMWAG$r!"(B
# gnuplot $B$GI=<($9$k$?$a$N%U%!%$%k$r:n@.$9$k%W%m%0%i%`$G$9!#(B

# [$B;H$$J}(B]
# % slopePlot.sh
#
# $B0J2<$N(B basin in $B$N8e$KN.0hHV9f$r0l9T$KNs5s$7$F$/$@$5$$!#(B
# $B$^$?(B gunplotFile $B$K(B gnuplot $B$N%9%/%j%W%H%U%!%$%kL>$r;XDj$7$F$/$@$5$$!#(B
#
# gnplot $B$rN)$A>e$2$F(B
#
# gnuplot> load "$gnuplotFile"
#
# $B$H$9$k$H<PLL$,I=<($5$l$^$9!#(B

# $B0J2<$K(B gunplot $B$N%9%/%j%W%H%U%!%$%kL>$r;XDj$7$F$/$@$5$$!#(B
gnuplotFile=slopePlot.plt

echo "set terminal windows" > $gnuplotFile
echo "set size 1.0 , 1.0" >> $gnuplotFile
echo "set xrange [:]" >> $gnuplotFile
echo "set yrange [:]" >> $gnuplotFile

# $B0J2<$N%3%a%s%H$r$O$:$9$H!"IA2h2hLL1&>e$K%U%!%$%kL>$,5-=R$5$l$^$;$s!#(B
#echo "set nokey" >> $gnuplotFile

# $B0J2<$K0l$D!"<PLL$N(B gnuplot $B$N%G!<%?$r;XDj$7$F$/$@$5$$!#(B
echo "plot \"EC5_250_587.gp.dat\" w l,\\" >> $gnuplotFile

# $B0J2<$N(B basin in $B0J2<$K<PLLMWAG$NHV9f$rNs5s$7$F$/$@$5$$!#(B

for basin in 587 594 595 2368 2377 2378 2379
do
  ./slopePlot.pl ./sampleInputData/EC5_250_"$basin".dat > EC5_250_"$basin".gp.dat
  echo "\"EC5_250_"$basin".gp.dat\" w l,\\" >> $gnuplotFile
done

# $B0J2<$K0l$D!"<PLL$N(B gnuplot $B$N%G!<%?$r;XDj$7$F$/$@$5$$!#(B
echo "\"EC5_250_2379.gp.dat\" w l" >> $gnuplotFile

