#! /usr/bin/perl
#
# Edge Connection ver. 5 μ̥ǡեɽ뤿Υǡù
# ץ
#
# Ver. 1.0 $Date: 2007/12/13 $  by Yasto Tachikawa
#
# Ǥʬǡδ֤˶Ԥޤ
# gnuplot 褹ե̤ΥǡɸϤ
# 񤭽Фޤ
#
# % slopePlot.pl EC5_Format_FileName
#
#   EC5_Format_FileName : Edge Connection Ver. 5 μǥե̾
#
# 
#      slopePlot.pl EC5_Format_File.dat > EC5_Format_File_Gnuplot.dat
#
# ̤ɽˤ
#
#    % gnuplot
#    gnuplot> plot "EC5_Format_File_Gnuplot.dat" w l
#
# ȤƤ

sub usage {
    if ($0 =~ m#.*/([^/]*)$#) {
        $0 = $1;
    }
    print STDERR "usage: $0 EC5_Format_FileName\n";
    exit 1;
}

sub version {
	print STDERR "This is slopePlot ver. 1.0\n";
	exit 1;
}

sub get_format_name ($) {
  my ($str) = @_;
  while (<$str>)
  {
    if (/^#/)
    {
      next;
    }
    chomp;
    last;
  }
  $_;
}

if ($#ARGV != 0) { &usage; }

$slopeFile = $ARGV[0];

open(IN, $slopeFile) || die "$slopeFile: $!";

print <<"MESSAGEEND";
# 3D slope data for gnuplot
#
# produced by $slopeFile using slopePlot.pl

MESSAGEEND

$fomatCheck = 0;

while (<IN>)
{
  if (/^\[Data Format Name\]/) {
    $formatName = get_format_name(IN);
    if ($formatName !~ /^edge connection V.5$/) {
      print "Format: $formatName\n";
      print "Format should be \"edge connection V.5\"\n";
      exit 1;
    }
    $formatCheck = 1;
    next;
  }
  if (/^#/)
  {
    next;
  }
  if (/^\[Data\]/)
  {
    if ($formatCheck == 0) {
      print "Format should be \"edge connection V.5\"\n";
      exit 1;
    }
    last;
  }
}

while (<IN>)
{
  if (/^#/)
  {
    next;
  }

  s/^ * //;

  @list = split(' ', $_);

  print $list[2], " ", $list[3], " ", $list[4], "\n";
  print $list[6], " ", $list[7], " ", $list[8], "\n";
  print "\n";
}

